%define _name linux-udf
%define prerel b3
%define cvs_date 20031102

Name: udftools
Version: 1.0.0
%define release alt0.2%prerel

%ifdef cvs_date
Release: %{release}cvs%cvs_date
%else
Release: %release
%endif

Summary: Tool set for UDF filesystems and CD-R(W)/DVD drives
Group: Sound
License: GPL
Url: http://%_name.sourceforge.net

%ifdef cvs_date
Source: %name-%version%prerel-%cvs_date.tar.bz2
%else
Source: http://prdownloads.sourceforge.net/%_name/%name-%version%prerel.tar.gz
%endif

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Sun Nov 02 2003
BuildRequires: gcc-c++ gcc-g77 libncurses-devel libreadline-devel libstdc++-devel

%description
%name includes:
- mkudffs is a tool to create a UDF(Universal Disk Format) filesystem on a device.

- pktsetup to associate packet devices with CD or DVD block
  devices, so that the packet device can then be mounted and potentially
  used as a read/write filesystem. This requires kernel support for the
  packet device, and the UDF filesystem.

- cdwrtool tool that can perform certain actions on a CD-R, CD-RW, or DVD-R
  device. Mainly these are blanking the media, formating it for use with
  the packet-cd device, and applying an UDF filesystem.

%prep
%ifdef cvs_date
%setup -q -n %name
%else
%setup -q -n %name-%version%prerel
%endif

%build
%ifdef cvs_date
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf
%endif

%configure
%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_sysconfdir/modutils.d

%__cat <<__EOF__ > %buildroot%_sysconfdir/modutils.d/udf
alias block-major-97 pktcdvd
alias /dev/pktcdvd[0-9]* pktcdvd
__EOF__

%files
%_bindir/*
%_man1dir/*
%_man8dir/*
%config(noreplace) %_sysconfdir/modutils.d/udf

%changelog
* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.2b3cvs20031102
- /etc/modutils.d/udf added.

* Mon Nov 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1b3cvs20031102
- First build for Sisyphus.
- try build cvs snapshot, not release that is too old.
